Can't they make their own icon? Rated 3 out of 5 stars

I disagree about the needing the update for the horrific FF5. Many of us rolled back to 3.6 but why can't they make their own icon? This one is already used by too many add-ons. Come on! A big corporation such as this should be able to do better than this!